Pular para o conteúdo
Entrar Cadastre-se

API de Perfis do Google Scholar

Encontre perfis de autores do Google Scholar por nome. Defina engine=google_scholar_profiles e passe o nome em mauthors para obter uma lista de autores correspondentes com seus IDs, afiliações e contagens de citações.

GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesSua chave de API do SERP
enginestringyesDeve ser google_scholar_profiles
mauthorsstringyesO(s) nome(s) de autor a pesquisar
hlstringnoCódigo de idioma da interface
after_authorstringnoToken da próxima página, deve seguir um valor before_author
before_authorstringnoToken da página anterior
Terminal window
curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"
{
"search_parameters": {
"engine": "google_scholar_profiles",
"mauthors": "jake"
},
"profiles": [
{
"name": "Jake Smith",
"author_id": "LSsXyncAAAAJ",
"affiliations": "Professor of Computer Science, MIT",
"email": "Verified email at mit.edu",
"cited_by": 18200,
"interests": [ { "title": "Artificial Intelligence" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
}
],
"pagination": {
"next_page_token": "...",
"next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..."
}
}